using System;
using System.Collections.Generic;
using System.Text;

namespace BookShopOnline.Model
{
    public class Book
    {
        private string _BookId;

        public string BookId
        {
            get { return _BookId; }
            set { _BookId = value; }
        }

        private string _BookName;

        public string BookName
        {
            get { return _BookName; }
            set { _BookName = value; }
        }

        private int _BookTypeID;

        public int BookTypeID
        {
            get { return _BookTypeID; }
            set { _BookTypeID = value; }
        }

        private int _ImgID;

        public int ImgID
        {
            get { return _ImgID; }
            set { _ImgID = value; }
        }

        private decimal _OriginalPrice;

        public decimal OriginalPrice
        {
            get { return _OriginalPrice; }
            set { _OriginalPrice = value; }
        }

        private decimal _SellPrice;

        public decimal SellPrice
        {
            get { return _SellPrice; }
            set { _SellPrice = value; }
        }

        private string _Description;

        public string Description
        {
            get { return _Description; }
            set { _Description = value; }
        }

        private int _Quatity;

        public int Quatity
        {
            get { return _Quatity; }
            set { _Quatity = value; }
        }

        private int _Storage;

        public int Storage
        {
            get { return _Storage; }
            set { _Storage = value; }
        }

        private string _Author;

        public string Author
        {
            get { return _Author; }
            set { _Author = value; }
        }
        private string _Press;

        public string Press
        {
            get { return _Press; }
            set { _Press = value; }
        }
        private string _DatePressed;

        public string DatePressed
        {
            get { return _DatePressed; }
            set { _DatePressed = value; }
        }
        private string _ISBN;

        public string ISBN
        {
            get { return _ISBN; }
            set { _ISBN = value; }
        }
    }
}
